General lsposed with latest Magisk

Search This thread

hallo dare

Senior Member
Jan 23, 2012
780
241
Since the implementation of the latest Magisk with the relevant changes, getting lsposed to work was an issue if you had the Denylist turned on in Magisk. Now there's a way around that and won't trip safetynet.

From the lsposed Telegram there's two new zips to flash from the telegram channel which will get lsposed back up and running, riru & Zygisk. Do this of your own accord. https://t.me/LSPosedArchives

For me, I can confirm it working, no safetynet trip and using gravitybox whilst the denylist in Magisk is activated.

Edit: Updated with January 24th zips.
 

Attachments

  • LSPosed-v1.6.5-6320-riru-release.zip
    2.1 MB · Views: 134
  • LSPosed-v1.6.5-6320-zygisk-release.zip
    2.1 MB · Views: 454
Last edited:

tramp20

Senior Member
Jan 15, 2012
777
163
Rosenheim
Apps & Games
From the lsposed Telegram there's two new zips to flash from the telegram channel which will get lsposed back up and running, riru & Zygisk. Do this of your own accord. https://t.me/LSPosedArchives
Thank you.
You should post this in the LSPosed thread too:

i found this by accident in your thread and it helped me (with Zygisk).
 

Full House

Senior Member
Aug 25, 2018
272
72
Samsung Galaxy S20 FE
Since the implementation of the latest Magisk with the relevant changes, getting lsposed to work was an issue if you had the Denylist turned on in Magisk. Now there's a way around that and won't trip safetynet.

From the lsposed Telegram there's two new zips to flash from the telegram channel which will get lsposed back up and running, riru & Zygisk. Do this of your own accord. https://t.me/LSPosedArchives

For me, I can confirm it working, no safetynet trip and using gravitybox whilst the denylist in Magisk is activated.

Edit: Updated with December 30th zips.
Thanks for sharing but it doesn't seem to work on OneUi4 when Zygisk is enabled 😔.
Edit: only install Lsposed-zygisk.zip before activating Zigisk in Magisk settings.
 
Last edited:

jugaaru

Senior Member
Oct 2, 2017
68
8
Since the implementation of the latest Magisk with the relevant changes, getting lsposed to work was an issue if you had the Denylist turned on in Magisk. Now there's a way around that and won't trip safetynet.

From the lsposed Telegram there's two new zips to flash from the telegram channel which will get lsposed back up and running, riru & Zygisk. Do this of your own accord. https://t.me/LSPosedArchives

For me, I can confirm it working, no safetynet trip and using gravitybox whilst the denylist in Magisk is activated.

Edit: Updated with January 24th zips.
Hi, can u please tell me in what order do i need to flash these zips? I'm new to riru and afraid of bootlooping
 

Platypus Enthusiast

Senior Member
Apr 6, 2021
58
17
The op has two files. Lsposed riru and lsposed zygisk ? Im confused now since u didn't mention any of them
LSPosed requires Riru, which does not work when Zygisk (exclusive to Magisk Canary, for now) is enabled, which is the reason why the LSPosed developer released the Zygisk version to work on Canary, and why OP made the thread; for us with no Telegram account. If you open Magisk and see this enabled, choose the Zygisk version. If you have Zygisk disabled or use Magisk stable, use Riru.

Edit: Edit because I made a stupid mistake
 

Attachments

  • Screenshot_20220125-231705~2.jpg
    Screenshot_20220125-231705~2.jpg
    30.2 KB · Views: 65

jugaaru

Senior Member
Oct 2, 2017
68
8
LSPosed requires Riru, which does not work when Zygisk (exclusive to Magisk Canary, for now) is enabled, which is the reason why the LSPosed developer released the Zygisk version to work on Canary, and why OP made the thread; for us with no Telegram account. If you open Magisk and see this enabled, choose the Zygisk version. If you have Zygisk disabled or use Magisk stable, use Riru.

Edit: Edit because I made a stupid mistake
Ok , now i get it. Thank you
 

blue1978

Senior Member
Dec 10, 2012
60
17
Have canary 24 and zygisk lsposed 1.6.5 installed. Lsposed shows active but none of the modules work. I've tried reinstalling, toggling zygisk, and reinstalling modules. Any suggestions?
Screenshot_2022-01-28-22-34-45-19_b7e9024f54bdc0532418cb6e23c85a7c.jpg
 

Top Liked Posts